// pages/api/addLocation.js
import mysql from "mysql";

const dbConfig = {
  host: process.env.DB_HOST,
  user: process.env.DB_USER,
  password: process.env.DB_PASSWORD,
  database: process.env.DB_NAME,
  port: process.env.DB_PORT,
};

export default function handler(req, res) {
  if (req.method === "POST") {
    const { name, poiTypeId, latitude, longitude } = req.body;
    console.log("Received data:", req.body); // Überprüfen der empfangenen Daten
    const connection = mysql.createConnection(dbConfig);

    const query = "INSERT INTO poi (description, idPoiTyp, position) VALUES (?, ?, ST_GeomFromText(?))";
    const point = `POINT(${longitude} ${latitude})`;
    const values = [name, poiTypeId, point]; // Stellen Sie sicher, dass poiTypeId korrekt ist

    connection.query(query, values, (error, results) => {
      connection.end();
      if (error) {
        console.error("Fehler beim Einfügen des Standorts:", error);
        return res.status(500).json({ error: "Ein Fehler ist aufgetreten" });
      }
      res.status(200).json({ id: results.insertId, message: "Standort erfolgreich hinzugefügt" });
    });
  } else {
    res.setHeader("Allow", ["POST"]);
    res.status(405).end(`Method ${req.method} Not Allowed`);
  }
}

